/*
	INFO MERENI CASU
	Pro prelozeni tohoto programku je nutne pri prekladu s gcc uvest -l rt.
	clock_gettime() a struktura timespec je v hlavickovem souboru sys/time.h, ktery je potreba includovat.
	Krome toho i makro CLOCK_PROCESS_CPUTIME_ID je zde definovano a jeho pouzitim volime casovac, ktery meri cas pro kazdy bezici proces.
	V promenne tv_nsec struktury timespec je ulozen cas v nanosekundach, v tv_sec v sekundach.
*/

#include <stdio.h>
#include <time.h>

int main(void)
{
	struct timespec cas;
	clock_gettime(CLOCK_PROCESS_CPUTIME_ID, &cas);
	printf("V tuto chvili proces bezi: %.9f s\n",
	    (double) cas.tv_sec +
	    (double) cas.tv_nsec /
	    1000000000);

	return 0;
}
